"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.wasmBytes = exports.packageInfo = void 0;
const wasm_util_1 = require("@polkadot/wasm-util");
const bytes_js_1 = require("./cjs/bytes.js");
var packageInfo_js_1 = require("./packageInfo.js");
Object.defineProperty(exports, "packageInfo", { enumerable: true, get: function () { return packageInfo_js_1.packageInfo; } });
/**
 * @name wasmBytes
 * @description
 * The decoded WASM interface as exposed by this package.
 *
 * The build process will output into cjs/* into a compressed base64 format.
 * Upon loading the exposed bytes will be decoded and decompressed from this
 * specific format and returned.
 */
exports.wasmBytes = (0, wasm_util_1.unzlibSync)((0, wasm_util_1.base64Decode)(bytes_js_1.bytes, new Uint8Array(bytes_js_1.lenIn)), new Uint8Array(bytes_js_1.lenOut));
